org.apache.olingo.odata2.client.core.ep.deserializer

## Class JsonFeedDeserializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.deserializer.JsonFeedDeserializer

-     public class JsonFeedDeserializer
      extends Object

  This class Deserializes JsonFeed payloads

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonFeedDeserializer(com.google.gson.stream.JsonReader reader, org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator eia, DeserializerProperties readProperties)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataDeltaFeed` | `readFeedStandalone()`
    `protected static void` | `readInlineCount(com.google.gson.stream.JsonReader reader, org.apache.olingo.odata2.core.ep.feed.FeedMetadataImpl feedMetadata)`
    `protected ODataFeed` | `readInlineFeedStandalone()`
    `protected ODataFeed` | `readStartedInlineFeed(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonFeedDeserializer

          public JsonFeedDeserializer(com.google.gson.stream.JsonReader reader,
                                      org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator eia,
                                      DeserializerProperties readProperties)

      Parameters:
        `reader` -
        `eia` -
        `readProperties` -

  - ### Method Detail

    - #### readFeedStandalone

          public ODataDeltaFeed readFeedStandalone()
                                            throws EntityProviderException

      Returns:
        ODataDeltaFeed
      Throws:
        `EntityProviderException`

    - #### readInlineCount

          protected static void readInlineCount(com.google.gson.stream.JsonReader reader,
                                                org.apache.olingo.odata2.core.ep.feed.FeedMetadataImpl feedMetadata)
                                         throws IOException,
                                                EntityProviderException

      Parameters:
        `reader` -
        `feedMetadata` -
      Throws:
        `IOException`
        `EntityProviderException`

    - #### readStartedInlineFeed

          protected ODataFeed readStartedInlineFeed(String name)
                                             throws EdmException,
                                                    EntityProviderException,
                                                    IOException

      Parameters:
        `name` -
      Returns:
        ODataFeed
      Throws:
        `EdmException`
        `EntityProviderException`
        `IOException`

    - #### readInlineFeedStandalone

          protected ODataFeed readInlineFeedStandalone()
                                                throws EdmException,
                                                       EntityProviderException,
                                                       IOException

      Returns:
        ODataFeed
      Throws:
        `EdmException`
        `EntityProviderException`
        `IOException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.